enum RGB {
    Red = 0xFF0000,
    Green = 0x00FF00,
    Blue = 0x0000FF,
}

enum Digits {
    Zero,
    One = 2,
    Two = 4,
    Three = 8,
    Four,
}

fn main() {
    let red = RGB::Red;
    let green = RGB::Green;
    let blue = RGB::Blue;

    println!("Red: {:06X}", red as u32);
    println!("Green: {:06X}", green as u32);
    println!("Blue: {:06X}", blue as u32);

    let zero = Digits::Zero;
    let one = Digits::One;
    let two = Digits::Two;
    let three = Digits::Three;
    let four = Digits::Four;

    println!("Zero: {}", zero as u32);
    println!("One: {}", one as u32);
    println!("Two: {}", two as u32);
    println!("Three: {}", three as u32);
    println!("Four: {}", four as u32);
}